
tcjafaq = (function(){
    var faqtmp ='';
	var faqContents =
	{ "totalQuestions":"16",
	  "openedAnswers":[],
	  "questions":[
		  [1, 'What is TCJA of 2017 and why is it such a big deal?', 'On December 22, 2017. President Trump signed into law the Tax Cuts and Jobs Act (also called TCJA of 2017). The new TCJA is the most significant change to the Internal Revenue Code in three decades; the law reduces tax rates for individuals and corporations, repeals many deductions, but adds some significant deductions such as the new <b>Qualified Business Income Deduction</b>. Among these include the repeal of the personal exemptions and increase of the standard deductions, which affect the oldest tax foundations in every individual return.'],
		  [2, 'When is the new TCJA of 2017 effective?', 'The new tax reform is <b>effective January 1st, 2018</b> with some retroactive; mortgage interest deduction is limited to $1,000,000 before December 15, 2017 and <b>$750,000</b> afterwards. The <b>100% special one-time depreciation</b> is retroactive for equipment purchase on and after <b>September 27, 2017</b>.'],
		  [3, 'Are there still personal exemptions under the new tax law?', '<b>No</b>, the $4,050 personal exemption has been eliminated in TCJA effective 2018.'],
		  [4, 'Are standard deductions still available under the new tax law?', '<b>Yes</b>, standard deduction for all nearly doubled for 2018; <b>Single</b> increased from $6,350 to <b>$12,000</b>; <b>Head of Household</b> increased from $9,350 to <b>$18,000</b>; <b>Married Filing Jointly</b> increased from $12,700 to <b>$24,000</b>.'],
		  [5, 'Is Schedule A (Itemized Deductions) still available with 2017 TCJA?', 'Yes, Schedule A (Itemized Deductions) is still available for taxpayers. Medical Expenses, paid State & Local Taxes (including Income & real estate taxes, but subject to SALT deduction limit; see question 8), Mortgage Interest and Charity Donation are still deductible in itemized deduction. However, miscellaneous itemized deductions subject to the 2% AGI floor are no longer deductible. This includes the Employee Business Expenses that were reported on Form 2106.'],
		  [6, 'Is there still child tax credit? What are the income limits?', '<b>Yes</b>, child tax credit increased from $1,000 per child (under age 17) to <b>$2,000</b> per child. However, only up to <b>$1,400</b> of the child tax credit is <b>refundable</b>. The new tax reform also added a <b>$500 nonrefundable credit</b> per dependent for <b>other dependents</b>. The child tax credit begins to phase-out at <b>$200,000</b> for <b>Single</b> and <b>$400,000</b> for <b>Married Filing Jointly</b>.'],
		  [7, 'Is there still EITC? What is the maximum amount of credit for Tax Year 2018?', '<b>Yes</b>, Earned Income Tax Credit is still available. The maximum amount of credit is <b>$6,431</b> with <b>three or more</b> qualifying children; <b>$5,716</b> with <b>two</b> qualifying children; <b>$3,461</b> with <b>one</b> qualifying child; <b>$519</b> with <b>no</b> qualifying children. To qualify for EITC, taxpayers must not have an earned income and adjusted gross income (AGI) above the following limits:<br><br> ' +
		  '<table border="1" cellpadding="0" cellspacing="0" class="table" style="width: 100%; text-align: center; margin-bottom: 0;"><tbody>\n' +

		  '<tr><td colspan="5" style="text-align: center; vertical-align: middle;" width="100%"><b>Adjusted Gross Income (AGI) Limits</b></td></tr>'+

		  '<tr class="first-child"><th class="first-child" rowspan="2" scope="col" style="width: 20%; text-align: center; vertical-align: middle;"><b>If filing...</b></th>\n' +
		  '\t\t\t<td colspan="4" style="text-align: center; vertical-align: middle;" width="80%"><b>Qualifying Children Claimed</b></td>\n' +
		  '\t\t</tr><tr><th class="first-child" scope="col" style="width: 20%; text-align: center; vertical-align: middle;"><b>Zero</b></th>\n' +
		  '\t\t\t<th scope="col" style="width: 20%; text-align: center; vertical-align: middle;"><b>One</b></th>\n' +
		  '\t\t\t<th scope="col" style="width: 20%; text-align: center; vertical-align: middle;"><b>Two</b></th>\n' +
		  '\t\t\t<th class="last-child" scope="col" style="width: 20%; text-align: center; vertical-align: middle;"><b>Three or more</b></th>\n' +
		  '\t\t</tr><tr><td style="text-align: center; vertical-align: middle;" width="20%"><b>Single, Head of Household or Widowed</b></td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$15,270</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$40,320</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$45,802</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$49,194</td>\n' +
		  '\t\t</tr><tr class="last-child"><td style="text-align: center; vertical-align: middle;" width="20%"><b>Married Filing Jointly</b></td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$20,950</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$46,010</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$51,492</td>\n' +
		  '\t\t\t<td style="width: 20%; text-align: center; vertical-align: middle;">$54,884</td>\n' +
		  '\t\t</tr></tbody></table>'],
		  [8, 'What is SALT deduction?', 'SALT refers to the state and local tax deduction on Schedule A. Before the new tax reform, taxpayers can claim itemized deductions on all paid taxes to state and local government. Starting January 1st of 2018, taxpayers can only claim up to <b>$10,000 in SALT deduction</b>.'],
		  [9, 'If my SALT taxes are over $10,000? What can I do with the excess?', 'If you own a <b>residential property</b>, you may consider renting it out (<b>fully or partially</b>) and allocate the <b>local property taxes</b> onto your <b>Schedule E</b> instead of Schedule A; there is no limit on Schedule E for local property taxes.'],
		  [10, 'What is the new Corporation Tax Cuts?', 'The new Corporation Tax Cuts (C-Corp only) reduced the tax rates for corporations from a top corporate tax rate of 35% to a <b>flat rate of 21%</b>. This provided a <b>huge tax savings for large corporations</b>, but <b>hurt small corporations</b> by increasing their tax rate to 21% from 15% for net profits under $50,000 in Tax Year 2017. '],
		  [11, 'What can small businesses do to even the playing field?', 'Small corporations can elect to convert into an <b>S-Corporation</b> and take a 20% QBI deduction. In fact, <b>any passive-through businesses</b> can qualify for the <b>20% QBI deduction</b> as long as they <b>satisfy certain conditions</b>. Even <b>Self-employed Contractors</b> with <b>1099-MISC</b> qualifies for the 20% QBI deduction.'],
		  [12, 'What is the new maximum for 401 (k) contributions?', '<b>$18,500</b> for individual under 50 and <b>$24,500</b> for individual 50 and over; an increase of $500 from 2017.'],
		  [13, 'What is the maximum IRA contribution for 2018?', 'There is no change. Taxpayers are allowed to contribute up to <b>$5,500</b> if below age <b>50</b>; <b>$6,500</b> if above age 50. However, it is increased to <b>$6,000</b> for people under 50 and <b>$7,000</b> if 50 and over in <b>Tax Year 2019</b>.'],
		  [14, 'Can you file a 1040EZ or a 1040A for the tax year of 2018?', 'No, everyone will use the new postcard Form 1040 with 6 schedules.'],
		  [15, 'Can you still give money to someone as a gift for $15,000 or more?', 'Yes, the annual gift tax exclusion is $15,000. You; as a taxpayer may choose to pay the gift tax on the excess portion of $15,000 or directly deduct the excess from the Life-Time Estate Tax Exclusion, which increased from $5.49 million to <b>$11.2 million</b> per <b>individual</b>; <b>$22.4 million</b> for <b>married couples</b>.'],
		  [16, 'What is the maximum you can contribute to a 529 education savings program per year starting in 2018?', '$15,000, which is the same as the annual gift tax exclusion. And up to certain amount of 529 contributions is deductible from state taxable income. For example, $10,000 is deductible for married couple and $5000 for individual in New York State and most of the states.']

		]
	};

    var init = function(){
        prepareFAQ();
    };

    var prepareFAQ = function(){

		$.each(faqContents.questions,function(i,v) {
			faqtmp += '<div style="margin:10px 0 0 0;">'+
						'<a class="questions" href="javascript:tcjafaq.showAnswer(\'main'+v[0]+'\','+v[0]+');" id="xmain'+v[0]+'" ><div class="num">'+v[0]+'.</div> '+v[1]+'</a>'+
				    		'<div class="answers" id="main'+v[0]+'" > <span class="">'+v[2]+'</span><br>'+
				    		'</div>'+
				  	'</div>';
		});

    };

    var showAnswer = function(item, mid) {
	    obj=$('#'+item);
	    col=document.getElementById("x" + item);
	     if (obj.css('display')=="none") {
	    	//$('div.answers').hide();
			faqContents.openedAnswers.push(mid);
			if(faqContents.openedAnswers.length>5){
				$('#main'+faqContents.openedAnswers[0]).hide();
				faqContents.openedAnswers.splice(0, 1);
			}
			obj.fadeIn('slow');
		} else {
			var tindex = faqContents.openedAnswers.indexOf(mid);
			faqContents.openedAnswers.splice(tindex,1);
			obj.hide();
		}
		//alert(faqContents.openedAnswers.length +'= '+faqContents.openedAnswers);
    };


    $(document).ready(function() {
	  $('#content_slideless #faq_list p1').html(faqtmp);
	  $('div.answers').hide();
	})

	var openPopup = function (url) {
		window.open(url, newW, "height=600,width=700");
	};

    return {
	    "init":init,
	    "showAnswer":showAnswer,
		"openPopup": openPopup
    };
}());

tcjafaq.init();



